Name:           onemind-commons-invoke
Version:        1.1.0
Release:        3.20081105cvs%{?dist}
Summary:        A complementary framework to Java reflection
License:        LGPLv2+
Group:          Development/Tools
Url:            http://onemind-commons.sourceforge.net/commons-invoke/
# This was obtained on 2008/11/05 using the following commands:
#   cvs -d :pserver:anonymous@onemind-commons.cvs.sourceforge.net:/cvsroot/onemind-commons login
#   cvs -d :pserver:anonymous@onemind-commons.cvs.sourceforge.net:/cvsroot/onemind-commons co commons-invoke
Source0:        %{name}-20081105.tbz

Requires:       java >= 0:1.4.2

BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  onemind-commons-java
BuildArch:      noarch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
The commons-invoke framework is a complementary framework to reflection.
While reflection allows discovery/invocation of java objects through the
JVM kernel, the invocation framework allows programmatic help for method
lookup and invocation.

%prep
%setup -q -n commons-invoke

%build
export CLASSPATH=`build-classpath onemind-commons-java`
cd src/java
javac -d . org/onemind/commons/invoke/*.java
jar cvf %{name}-%{version}.jar org/onemind/commons/invoke/*.class

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p src/java/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_to_maven_depmap org.onemind.commons %{name} %{version} JPP %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc docs/*.txt
%{_javadir}/*.jar
%config(noreplace) %{_mavendepmapfragdir}/%{name}

%changelog
* Tue Dec  9 2008 Mary Ellen Foster <mefoster at gmail.com> - 1.1.0-3.20081105cvs
- Add dist to version
- Fix BuildRoot to follow the latest guidelines

* Mon Nov 24 2008 Mary Ellen Foster <mefoster at gmail.com> - 1.1.0-2.20081105cvs
- Edit the description and summary
- Package the documentation too

* Wed Nov  5 2008 Mary Ellen Foster <mefoster at gmail.com> - 1.1.0-1.20081105cvs
- Initial package
